Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Adapter::Servant_Upcall Class Reference

`#include <Object_Adapter.h>`

Collaboration diagram for TAO_Object_Adapter::Servant_Upcall:

[legend]
List of all members.

## Public Methods
| Servant_Upcall (TAO_ORB_Core *orb_core)
| ~Servant_Upcall (void)
int | prepare_for_upcall (const TAO_ObjectKey &key, const char *operation, CORBA::Object_out forward_to, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
TAO_POA* | lookup_POA (const TAO_ObjectKey &key, CORBA::Environment &ACE_TRY_ENV)
TAO_POA& | poa (void) const
TAO_Object_Adapter& | object_adapter (void) const
const PortableServer::ObjectId& | id (void) const
void | user_id (const PortableServer::ObjectId *)
const PortableServer::ObjectId& | user_id (void) const
PortableServer::Servant | servant (void) const
PortableServer::ServantLocator::Cookie | locator_cookie (void) const
void | locator_cookie (PortableServer::ServantLocator::Cookie cookie)
const char* | operation (void) const
void | operation (const char *)
void | active_object_map_entry (TAO_Active_Object_Map::Map_Entry *entry)
TAO_Active_Object_Map::Map_Entry* | active_object_map_entry (void) const
void | using_servant_locator (void)
CORBA::Short | priority (void) const
## Protected Types
enum | State { INITIAL_STAGE, OBJECT_ADAPTER_LOCK_ACQUIRED, POA_CURRENT_SETUP, OBJECT_ADAPTER_LOCK_RELEASED, SERVANT_LOCK_ACQUIRED }
## Protected Methods
void | servant_locator_cleanup (void)
void | single_threaded_poa_setup (CORBA::Environment &ACE_TRY_ENV)
void | single_threaded_poa_cleanup (void)
void | servant_cleanup (void)
void | poa_cleanup (void)
## Protected Attributes
TAO_Object_Adapter* | object_adapter_
TAO_POA* | poa_
PortableServer::Servant | servant_
State | state_
PortableServer::ObjectId | system_id_
const PortableServer::ObjectId* | user_id_
TAO_POA_Current_Impl | current_context_
PortableServer::ServantLocator::Cookie | cookie_
const char* | operation_
TAO_Active_Object_Map::Map_Entry* | active_object_map_entry_
int | using_servant_locator_
## Private Methods
| Servant_Upcall (const Servant_Upcall &)
void | operator= (const Servant_Upcall &)
## Friends
class | TAO_POA
class | TAO_RT_Collocation_Resolver

## Member Enumeration Documentation

enum TAO_Object_Adapter::Servant_Upcall::State`[protected]`

  | Enumeration values:
  INITIAL_STAGE |
  OBJECT_ADAPTER_LOCK_ACQUIRED |
  POA_CURRENT_SETUP |
  OBJECT_ADAPTER_LOCK_RELEASED |
  SERVANT_LOCK_ACQUIRED |

## Constructor & Destructor Documentation

TAO_Object_Adapter::Servant_Upcall::Servant_Upcall ( | TAO_ORB_Core * oc )

TAO_Object_Adapter::Servant_Upcall::~Servant_Upcall ( | void )

TAO_Object_Adapter::Servant_Upcall::Servant_Upcall ( | const Servant_Upcall & )`[private]`

## Member Function Documentation

ACE_INLINE TAO_Active_Object_Map::Map_Entry * TAO_Object_Adapter::Servant_Upcall::active_object_map_entry ( | void ) const

ACE_INLINE void TAO_Object_Adapter::Servant_Upcall::active_object_map_entry ( | TAO_Active_Object_Map::Map_Entry * entry )

ACE_INLINE const PortableServer::ObjectId & TAO_Object_Adapter::Servant_Upcall::id ( | void ) const

ACE_INLINE void TAO_Object_Adapter::Servant_Upcall::locator_cookie ( | PortableServer::ServantLocator::Cookie cookie )

ACE_INLINE PortableServer::ServantLocator::Cookie TAO_Object_Adapter::Servant_Upcall::locator_cookie ( | void ) const

TAO_POA * TAO_Object_Adapter::Servant_Upcall::lookup_POA ( | const TAO_ObjectKey & key,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE TAO_Object_Adapter & TAO_Object_Adapter::Servant_Upcall::object_adapter ( | void ) const

ACE_INLINE void TAO_Object_Adapter::Servant_Upcall::operation ( | const char * name )

ACE_INLINE const char * TAO_Object_Adapter::Servant_Upcall::operation ( | void ) const

void TAO_Object_Adapter::Servant_Upcall::operator= ( | const Servant_Upcall & )`[private]`

ACE_INLINE TAO_POA & TAO_Object_Adapter::Servant_Upcall::poa ( | void ) const

void TAO_Object_Adapter::Servant_Upcall::poa_cleanup ( | void )`[protected]`

int TAO_Object_Adapter::Servant_Upcall::prepare_for_upcall ( | const TAO_ObjectKey & key,
| const char * operation,
| CORBA::Object_out forward_to,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

ACE_INLINE CORBA::Short TAO_Object_Adapter::Servant_Upcall::priority ( | void ) const

ACE_INLINE PortableServer::Servant TAO_Object_Adapter::Servant_Upcall::servant ( | void ) const

void TAO_Object_Adapter::Servant_Upcall::servant_cleanup ( | void )`[protected]`

void TAO_Object_Adapter::Servant_Upcall::servant_locator_cleanup ( | void )`[protected]`

void TAO_Object_Adapter::Servant_Upcall::single_threaded_poa_cleanup ( | void )`[protected]`

void TAO_Object_Adapter::Servant_Upcall::single_threaded_poa_setup ( | CORBA::Environment & ACE_TRY_ENV )`[protected]`

ACE_INLINE const PortableServer::ObjectId & TAO_Object_Adapter::Servant_Upcall::user_id ( | void ) const

ACE_INLINE void TAO_Object_Adapter::Servant_Upcall::user_id ( | const PortableServer::ObjectId * id )

ACE_INLINE void TAO_Object_Adapter::Servant_Upcall::using_servant_locator ( | void )

## Friends And Related Function Documentation

class TAO_POA`[friend]`

class TAO_RT_Collocation_Resolver`[friend]`

## Member Data Documentation

TAO_Active_Object_Map::Map_Entry * TAO_Object_Adapter::Servant_Upcall::active_object_map_entry_`[protected]`

PortableServer::ServantLocator::Cookie TAO_Object_Adapter::Servant_Upcall::cookie_`[protected]`

TAO_POA_Current_Impl TAO_Object_Adapter::Servant_Upcall::current_context_`[protected]`

TAO_Object_Adapter * TAO_Object_Adapter::Servant_Upcall::object_adapter_`[protected]`

const char * TAO_Object_Adapter::Servant_Upcall::operation_`[protected]`

TAO_POA * TAO_Object_Adapter::Servant_Upcall::poa_`[protected]`

PortableServer::Servant TAO_Object_Adapter::Servant_Upcall::servant_`[protected]`

State TAO_Object_Adapter::Servant_Upcall::state_`[protected]`

PortableServer::ObjectId TAO_Object_Adapter::Servant_Upcall::system_id_`[protected]`

const PortableServer::ObjectId * TAO_Object_Adapter::Servant_Upcall::user_id_`[protected]`

int TAO_Object_Adapter::Servant_Upcall::using_servant_locator_`[protected]`

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp
- Object_Adapter.i